Issue 111966 - UNO API tests do fail arbitrarily because of randomized tests
Summary: UNO API tests do fail arbitrarily because of randomized tests
Status: CLOSED FIXED
Alias: None
Product: App Dev
Classification: Unclassified
Component: api (show other issues)
Version: 3.3.0 or older (OOo)
Hardware: All All
: P3 Trivial
Target Milestone: ---
Assignee: lars.langhans
QA Contact: issues@api
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-31 16:17 UTC by IngridvdM
Modified: 2013-02-24 21:07 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description IngridvdM 2010-05-31 16:17:12 UTC
The java UNO API test for interface XPropertySet within module qadevOOo does
test randomly selected properties. This causes the tests to fail arbitrarily
when by chance a broken property is selected.
Random should not be used within the tests at all.
Comment 1 IngridvdM 2010-06-01 16:08:07 UTC
Fixed in CWS chart47.
The test for XPropertySet now tests all properties. Real life needs to show
whether this lasts too long then.
Comment 2 IngridvdM 2010-06-03 12:34:59 UTC
@lla, please verify in CWS chart47:
http://hg.services.openoffice.org/cws/chart47/rev/ada3a927c80a
Thanks!
I wrote issue 112070 to cleanup the other usages of Random.
Comment 3 IngridvdM 2010-06-03 12:45:54 UTC
changed owner
Comment 4 lars.langhans 2010-06-04 14:14:09 UTC
verified. Great!
Comment 5 lars.langhans 2010-11-15 12:41:43 UTC
close